Grails5535Factory (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class Grails5535Factory

    java.lang.Object
      com.opensymphony.module.sitemesh.Factory
          com.opensymphony.module.sitemesh.factory.BaseFactory
              org.codehaus.groovy.grails.web.sitemesh.Grails5535Factory

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public class Grails5535Factory
    extends com.opensymphony.module.sitemesh.factory.BaseFactory

TODO remove this once http://jira.opensymphony.com/browse/SIM-263 is fixed. Replaces `DefaultFactory` to fix http://jira.codehaus.org/browse/GRAILS-5535. There are two changes, both replacing toURL() with toURI().toURL().

Field Summary
`static long` | `configCheckMillis`

Constructor Summary
`Grails5535Factory(com.opensymphony.module.sitemesh.Config config)`

Method Summary
`void` | `refresh()` Check if configuration file has been modified, and if so reload it.

Methods inherited from class com.opensymphony.module.sitemesh.factory.BaseFactory
com.opensymphony.module.sitemesh.factory.BaseFactory#getDecoratorMapper(), com.opensymphony.module.sitemesh.factory.BaseFactory#getPageParser(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#shouldParsePage(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#isPathExcluded(java.lang.String), com.opensymphony.module.sitemesh.factory.BaseFactory#refresh(), com.opensymphony.module.sitemesh.factory.BaseFactory#getInstance(com.opensymphony.module.sitemesh.Config), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(long, int), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(long), com.opensymphony.module.sitemesh.factory.BaseFactory#wait(), com.opensymphony.module.sitemesh.factory.BaseFactory#equals(java.lang.Object), com.opensymphony.module.sitemesh.factory.BaseFactory#toString(), com.opensymphony.module.sitemesh.factory.BaseFactory#hashCode(), com.opensymphony.module.sitemesh.factory.BaseFactory#getClass(), com.opensymphony.module.sitemesh.factory.BaseFactory#notify(), com.opensymphony.module.sitemesh.factory.BaseFactory#notifyAll()

Methods inherited from class com.opensymphony.module.sitemesh.Factory
com.opensymphony.module.sitemesh.Factory#refresh(), com.opensymphony.module.sitemesh.Factory#getInstance(com.opensymphony.module.sitemesh.Config), com.opensymphony.module.sitemesh.Factory#getDecoratorMapper(), com.opensymphony.module.sitemesh.Factory#getPageParser(java.lang.String), com.opensymphony.module.sitemesh.Factory#shouldParsePage(java.lang.String), com.opensymphony.module.sitemesh.Factory#isPathExcluded(java.lang.String), com.opensymphony.module.sitemesh.Factory#wait(long, int), com.opensymphony.module.sitemesh.Factory#wait(long), com.opensymphony.module.sitemesh.Factory#wait(), com.opensymphony.module.sitemesh.Factory#equals(java.lang.Object), com.opensymphony.module.sitemesh.Factory#toString(), com.opensymphony.module.sitemesh.Factory#hashCode(), com.opensymphony.module.sitemesh.Factory#getClass(), com.opensymphony.module.sitemesh.Factory#notify(), com.opensymphony.module.sitemesh.Factory#notifyAll()

Field Detail

### configCheckMillis

    public static long configCheckMillis

Constructor Detail

### Grails5535Factory

    public Grails5535Factory(com.opensymphony.module.sitemesh.Config config)

Method Detail

### refresh

    @java.lang.Override* @param str the string to replace the properties in
    public void refresh()

  Check if configuration file has been modified, and if so reload it.

Groovy Documentation